package com.rjconsultores.ventaboletos.vo.caja;

import java.math.BigDecimal;
import java.util.Date;

import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement
public class CajaVO {
	
	private Long cajaId;
	private String numAsiento;
	private Integer categoriaId;
	private String numFolioSistema;
	private Integer claseServicioId;
	private Integer marcaId;
	private Integer origenId;
	private Integer destinoId;
	private Integer corridaId;
	private Date fecCorrida;
	private String nombPasajero;
	private BigDecimal precioBase;
	private BigDecimal precioPagado;
	private Integer tipoVentaId;
	private String numSeriePreimpresa;
	private String numFolioPreImpreso;
	private Date fecHorViaje;
	private Date fecHorVenta;
	private Integer puntoVentaId;
	private String numPuntoVenta;
	private BigDecimal numKmViaje;
	private String numOperacion;
	private Integer motivoCancelacionId;
	private Integer empresaPuntoVentaId;
	private Integer empresaCorridaId;
	private Integer turnoId;
	private BigDecimal importeTaxaEmbarque;
	private BigDecimal importePedagio;
	private BigDecimal importeOutros;
	private BigDecimal importeSeguro;
	private Integer rutaId;
	private Integer usuarioId;
	private String numAutorizacion;
	private String ordenSevicio;
	private String uf;
	private String desccategoria;
	
	public Long getCajaId() {
		return cajaId;
	}
	public void setCajaId(Long cajaId) {
		this.cajaId = cajaId;
	}
	public String getNumAsiento() {
		return numAsiento;
	}
	public void setNumAsiento(String numAsiento) {
		this.numAsiento = numAsiento;
	}
	public Integer getCategoriaId() {
		return categoriaId;
	}
	public void setCategoriaId(Integer categoriaId) {
		this.categoriaId = categoriaId;
	}
	public String getNumFolioSistema() {
		return numFolioSistema;
	}
	public void setNumFolioSistema(String numFolioSistema) {
		this.numFolioSistema = numFolioSistema;
	}
	public Integer getClaseServicioId() {
		return claseServicioId;
	}
	public void setClaseServicioId(Integer claseServicioId) {
		this.claseServicioId = claseServicioId;
	}
	public Integer getMarcaId() {
		return marcaId;
	}
	public void setMarcaId(Integer marcaId) {
		this.marcaId = marcaId;
	}
	public Integer getOrigenId() {
		return origenId;
	}
	public void setOrigenId(Integer origenId) {
		this.origenId = origenId;
	}
	public Integer getDestinoId() {
		return destinoId;
	}
	public void setDestinoId(Integer destinoId) {
		this.destinoId = destinoId;
	}
	public Integer getCorridaId() {
		return corridaId;
	}
	public void setCorridaId(Integer corridaId) {
		this.corridaId = corridaId;
	}
	public Date getFecCorrida() {
		return fecCorrida;
	}
	public void setFecCorrida(Date fecCorrida) {
		this.fecCorrida = fecCorrida;
	}
	public String getNombPasajero() {
		return nombPasajero;
	}
	public void setNombPasajero(String nombPasajero) {
		this.nombPasajero = nombPasajero;
	}
	public BigDecimal getPrecioBase() {
		return precioBase;
	}
	public void setPrecioBase(BigDecimal precioBase) {
		this.precioBase = precioBase;
	}
	public BigDecimal getPrecioPagado() {
		return precioPagado;
	}
	public void setPrecioPagado(BigDecimal precioPagado) {
		this.precioPagado = precioPagado;
	}
	public Integer getTipoVentaId() {
		return tipoVentaId;
	}
	public void setTipoVentaId(Integer tipoVentaId) {
		this.tipoVentaId = tipoVentaId;
	}
	public String getNumSeriePreimpresa() {
		return numSeriePreimpresa;
	}
	public void setNumSeriePreimpresa(String numSeriePreimpresa) {
		this.numSeriePreimpresa = numSeriePreimpresa;
	}
	public String getNumFolioPreImpreso() {
		return numFolioPreImpreso;
	}
	public void setNumFolioPreImpreso(String numFolioPreImpreso) {
		this.numFolioPreImpreso = numFolioPreImpreso;
	}
	public Date getFecHorViaje() {
		return fecHorViaje;
	}
	public void setFecHorViaje(Date fecHorViaje) {
		this.fecHorViaje = fecHorViaje;
	}
	public Date getFecHorVenta() {
		return fecHorVenta;
	}
	public void setFecHorVenta(Date fecHorVenta) {
		this.fecHorVenta = fecHorVenta;
	}
	public Integer getPuntoVentaId() {
		return puntoVentaId;
	}
	public void setPuntoVentaId(Integer puntoVentaId) {
		this.puntoVentaId = puntoVentaId;
	}
	public BigDecimal getNumKmViaje() {
		return numKmViaje;
	}
	public void setNumKmViaje(BigDecimal numKmViaje) {
		this.numKmViaje = numKmViaje;
	}
	public String getNumOperacion() {
		return numOperacion;
	}
	public void setNumOperacion(String numOperacion) {
		this.numOperacion = numOperacion;
	}
	public Integer getMotivoCancelacionId() {
		return motivoCancelacionId;
	}
	public void setMotivoCancelacionId(Integer motivoCancelacionId) {
		this.motivoCancelacionId = motivoCancelacionId;
	}
	public Integer getEmpresaPuntoVentaId() {
		return empresaPuntoVentaId;
	}
	public void setEmpresaPuntoVentaId(Integer empresaPuntoVentaId) {
		this.empresaPuntoVentaId = empresaPuntoVentaId;
	}
	public Integer getEmpresaCorridaId() {
		return empresaCorridaId;
	}
	public void setEmpresaCorridaId(Integer empresaCorridaId) {
		this.empresaCorridaId = empresaCorridaId;
	}
	public Integer getTurnoId() {
		return turnoId;
	}
	public void setTurnoId(Integer turnoId) {
		this.turnoId = turnoId;
	}
	public BigDecimal getImporteTaxaEmbarque() {
		return importeTaxaEmbarque;
	}
	public void setImporteTaxaEmbarque(BigDecimal importeTaxaEmbarque) {
		this.importeTaxaEmbarque = importeTaxaEmbarque;
	}
	public BigDecimal getImportePedagio() {
		return importePedagio;
	}
	public void setImportePedagio(BigDecimal importePedagio) {
		this.importePedagio = importePedagio;
	}
	public BigDecimal getImporteOutros() {
		return importeOutros;
	}
	public void setImporteOutros(BigDecimal importeOutros) {
		this.importeOutros = importeOutros;
	}
	public BigDecimal getImporteSeguro() {
		return importeSeguro;
	}
	public void setImporteSeguro(BigDecimal importeSeguro) {
		this.importeSeguro = importeSeguro;
	}
	public Integer getRutaId() {
		return rutaId;
	}
	public void setRutaId(Integer rutaId) {
		this.rutaId = rutaId;
	}
	public Integer getUsuarioId() {
		return usuarioId;
	}
	public void setUsuarioId(Integer usuarioId) {
		this.usuarioId = usuarioId;
	}
	public String getNumAutorizacion() {
		return numAutorizacion;
	}
	public void setNumAutorizacion(String numAutorizacion) {
		this.numAutorizacion = numAutorizacion;
	}
	public String getOrdenSevicio() {
		return ordenSevicio;
	}
	public void setOrdenSevicio(String ordenSevicio) {
		this.ordenSevicio = ordenSevicio;
	}
	public String getNumPuntoVenta() {
		return numPuntoVenta;
	}
	public void setNumPuntoVenta(String numPuntoVenta) {
		this.numPuntoVenta = numPuntoVenta;
	}
	public String getUf() {
		return uf;
	}
	public void setUf(String uf) {
		this.uf = uf;
	}
	public String getDesccategoria() {
		return desccategoria;
	}
	public void setDesccategoria(String desccategoria) {
		this.desccategoria = desccategoria;
	}
}
